Skip to content

upsertQuoteLinePrices

DESTRUCTIVE

Upsert quote line prices.

POST /api/v1/sales/upsertQuoteLinePrices
curl -X POST '<your-host>/api/v1/sales/upsertQuoteLinePrices' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "quoteId": "string",
    "lineId": "string",
    "quoteLinePrices": []
  }'

Parameters

ParameterType
"system""manual"

Input schema

schema
{
  "type": "object",
  "properties": {
    "quoteId": {
      "type": "string"
    },
    "lineId": {
      "type": "string"
    },
    "quoteLinePrices": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "quoteLineId": {
            "type": "string"
          },
          "unitPrice": {
            "type": "number"
          },
          "quantity": {
            "type": "number"
          },
          "leadTime": {
            "type": "number"
          },
          "discountPercent": {
            "type": "number"
          },
          "shippingCost": {
            "type": "number"
          },
          "categoryMarkups": {
            "type": "object",
            "additionalProperties": {
              "type": "number"
            }
          },
          "priceSource": {
            "type": "string",
            "enum": [
              "system",
              "manual"
            ]
          }
        },
        "required": [
          "quoteLineId",
          "unitPrice",
          "quantity"
        ]
      }
    }
  },
  "required": [
    "quoteId",
    "lineId",
    "quoteLinePrices"
  ]
}